Rensei docs
API ReferenceSessions ( Public)

Platform-wide anonymised aggregate statistics

Returns whole-platform (not org-scoped) anonymised aggregate metrics - e.g. top work types, provider distribution, phase cycle-time distributions. Results are k-anonymised (rows with fewer than `kAnonymityFloor` samples are suppressed). Auth: `rsk_` bearer, user JWT, or session cookie. Not unauthenticated despite the `/api/public` prefix.

GET
/api/public/aggregate-stats

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Response Body

Aggregate stats.

application/json
  1. response
kAnonymityFloor*integer

Minimum sample count for a stat row to be included.

periodStart?|
Formatdate-time
periodGrain*"day"
Value in"day"
stats*array<>
generatedAt*string
Formatdate-time
Example Request
curl -X GET 'https://app.rensei.ai/api/public/aggregate-stats'
Example Response
{  "kAnonymityFloor": 0,  "periodStart": "2019-08-24T14:15:22Z",  "periodGrain": "day",  "stats": [    {      "dimension": "string",      "dimensionValue": "string",      "metric": "string",      "value": 0,      "kCount": 0,      "periodStart": "2019-08-24T14:15:22Z"    }  ],  "generatedAt": "2019-08-24T14:15:22Z"}